commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russel Winder <russel.win...@concertant.com>
Subject [cli] Are there any 1.0 -> 1.1/1.2-SNAPSHOT upgrade notes
Date Mon, 02 Jun 2008 15:53:29 GMT
in 1.0 using:

           options.addOption(
                    OptionBuilder.withArgName( "property=value" )
                    .withValueSeparator()
                    .hasArgs(2)
                    .withDescription("")
                    .create( "J" ));

allowed options of the form:  -Jsource=1.5 -Jtarget=1.5

compiling this with 1.2-SNAPSHOT leads to lots of messages:

        error: file not found: target=1.5

indicating the difference in semantics between 1.0 and 1.1 and later.
Is there anywhere a 1.0 -> 1.1 upgrade manual explaining the semnatic
differences and what to do about them?

Thanks.

Yes I have started looking at upgrading Gant and Groovy from 1.0 to
1.2-SNAPSHOT :-)

-- 
Russel.
====================================================
Dr Russel Winder                 Partner

Concertant LLP                   t: +44 20 7585 2200, +44 20 7193 9203
41 Buckmaster Road,              f: +44 8700 516 084
London SW11 1EN, UK.             m: +44 7770 465 077

Mime
View raw message